package org.dromara.payment.coverpage.domain;

import lombok.Data;
import org.dromara.payment.bill.domain.MerBill;
import org.dromara.payment.util.MoneyUtils;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Title CoverPageInfo
 * @Description
 * @Author wuchuang
 * @Date 2024/5/30 14:00
 */
@Data
public class CoverPageInfo {



    private Long   availableFee  ;//账户可用余额(分) 可用收益余额(元)

    private Long   monthTransactionAmount  ;//本月代发总额(分)
    private Long   monthTransactionNumber  ;//本月代发笔数(笔)
    private Long   dayTransactionAmount  ;//今日交易(元)

    private Long   dayTransactionNumber  ;//今日交易笔数(笔)

    private Long   yingshouFee   ;//应收余额(元)

    private String[] days ; //最近30天交易统计图(万元)

    private BigDecimal[] costs;//最近30天交易统计图(万元)

    private List<MerBillInfo> merBillList;//企业交易数据


    private int   waitTask;

    private int   waitBill;

    private int   waitInvoice;

    private int   waitTax;


    private Long id;

    private Long merId;

    private Long sydId;

    private Long opId;

    private Long channelId;


    public BigDecimal getAvailableFee() {
        return MoneyUtils.getMoneyYuan(availableFee);
    }


    public BigDecimal getMonthTransactionAmount() {
        return MoneyUtils.getMoneyYuan(monthTransactionAmount);
    }

    public BigDecimal getDayTransactionAmount() {
        return MoneyUtils.getMoneyYuan(dayTransactionAmount);
    }

    public BigDecimal getYingshouFee() {
        return MoneyUtils.getMoneyYuan(yingshouFee);
    }
}
